Skip to main content
`Ctrl`+`K`

# pandas.Series.items

Series.items()

  Lazily iterate over (index, value) tuples.

  This method returns an iterable tuple (index, value). This is convenient if you want to create a lazy iterator.

  Returns:
    iterable

      Iterable of tuples containing the (index, value) pairs from a Series.

  See also

  `DataFrame.items`

    Iterate over (column name, Series) pairs.

  `DataFrame.iterrows`

    Iterate over DataFrame rows as (index, Series) pairs.

  Examples

      >>> s = pd.Series(['A', 'B', 'C'])
      >>> for index, value in s.items():
      ...     print(f"Index : {index}, Value : {value}")
      Index : 0, Value : A
      Index : 1, Value : B
      Index : 2, Value : C